| OpenCV 5.0.0alpha Open Source Computer Vision

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
cv::cann::DvppOperatorDesc Class Reference

Interface for calling DVPP operator descriptors. The DVPP VPC interfaces here are all version v2. Supported devices: Atlas Inference Series products, Atlas 200/500 A2 Inference products and Atlas A2 Training Series products/Atlas 300I A2 Inference products. More...

`#include <opencv2/dvpp_call.hpp>`

Collaboration diagram for cv::cann::DvppOperatorDesc:

## Public Member Functions
| DvppOperatorDesc ()
virtual | ~DvppOperatorDesc ()
DvppOperatorDesc & | addInput (const AscendMat &mat)
DvppOperatorDesc & | addInput (const Mat &mat)
DvppOperatorDesc & | addOutput (AscendMat &mat)
DvppOperatorDesc & | addOutput (Mat &mat)
DvppOperatorDesc & | createChannel ()
DvppOperatorDesc & | getResult (AscendMat &dst, uint32_t &taskIDResult)
DvppOperatorDesc & | getResult (Mat &dst, uint32_t &taskIDResult)
DvppOperatorDesc & | reset ()

## Public Attributes
hi_vpc_chn | chnId
std::vector< AscendPicDesc > | inputDesc_
std::vector< AscendPicDesc > | outputDesc_
hi_vpc_chn_attr | stChnAttr

## Detailed Description

Interface for calling DVPP operator descriptors. The DVPP VPC interfaces here are all version v2. Supported devices: Atlas Inference Series products, Atlas 200/500 A2 Inference products and Atlas A2 Training Series products/Atlas 300I A2 Inference products.

## Constructor & Destructor Documentation

## ◆ DvppOperatorDesc()

cv::cann::DvppOperatorDesc::DvppOperatorDesc | ( |  | ) |
| inline

Here is the call graph for this function:

## ◆ ~DvppOperatorDesc()

virtual cv::cann::DvppOperatorDesc::~DvppOperatorDesc | ( |  | ) |
| inline virtual

Here is the call graph for this function:

## Member Function Documentation

## ◆ addInput() [1/2]

DvppOperatorDesc & cv::cann::DvppOperatorDesc::addInput | ( | const AscendMat & | mat | ) |

## ◆ addInput() [2/2]

DvppOperatorDesc & cv::cann::DvppOperatorDesc::addInput | ( | const Mat & | mat | ) |

## ◆ addOutput() [1/2]

DvppOperatorDesc & cv::cann::DvppOperatorDesc::addOutput | ( | AscendMat & | mat | ) |

## ◆ addOutput() [2/2]

DvppOperatorDesc & cv::cann::DvppOperatorDesc::addOutput | ( | Mat & | mat | ) |

## ◆ createChannel()

DvppOperatorDesc & cv::cann::DvppOperatorDesc::createChannel | ( |  | ) |

## ◆ getResult() [1/2]

DvppOperatorDesc & cv::cann::DvppOperatorDesc::getResult | ( | AscendMat & | dst,
|  | uint32_t & | taskIDResult )

## ◆ getResult() [2/2]

DvppOperatorDesc & cv::cann::DvppOperatorDesc::getResult | ( | Mat & | dst,
|  | uint32_t & | taskIDResult )

## ◆ reset()

DvppOperatorDesc & cv::cann::DvppOperatorDesc::reset | ( |  | ) |

## Member Data Documentation

## ◆ chnId

hi_vpc_chn cv::cann::DvppOperatorDesc::chnId

## ◆ inputDesc_

std::vector<AscendPicDesc> cv::cann::DvppOperatorDesc::inputDesc_

## ◆ outputDesc_

std::vector<AscendPicDesc> cv::cann::DvppOperatorDesc::outputDesc_

## ◆ stChnAttr

hi_vpc_chn_attr cv::cann::DvppOperatorDesc::stChnAttr

The documentation for this class was generated from the following file:

- opencv2/dvpp_call.hpp